Chromium dropping support for NPAPI

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Chromium dropping support for NPAPI

Pavel Volkov
News here:
http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html

And the previous one:
http://blog.chromium.org/2012/08/the-road-to-safer-more-stable-and.html

Currently chromium <---> adobe-flash communication in Gentoo works through
NPAPI and I don't see the bundled Flash plugin on about:plugins page.
There are no USE flags for bundled Flash either.

In another distro (Chakra) I can see that Flash is using PPAPI, not NPAPI in
Chromium.

So it possible to build Chromium with bundled Flash in Gentoo?

Reply | Threaded
Open this post in threaded view
|

Re: Chromium dropping support for NPAPI

Yohan Pereira
On 22/11/13 at 10:24pm, Pavel Volkov wrote:

> News here:
> http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html
>
> And the previous one:
> http://blog.chromium.org/2012/08/the-road-to-safer-more-stable-and.html
>
> Currently chromium <---> adobe-flash communication in Gentoo works through
> NPAPI and I don't see the bundled Flash plugin on about:plugins page.
> There are no USE flags for bundled Flash either.
>
> In another distro (Chakra) I can see that Flash is using PPAPI, not NPAPI in
> Chromium.
>
> So it possible to build Chromium with bundled Flash in Gentoo?
>

I think your looking for

* www-plugins/chrome-binary-plugins
     Available versions:  
     (stable) (~)31.0.1650.57_p1^msd
     (beta) (~)32.0.1700.19_beta1^msd
     (unstable) [M](~)33.0.1712.4_alpha1^msd [M]**9999^msd
       {+flash +pdf}
     Homepage:            http://www.google.com/chrome
     Description:         Binary plugins -- native API Flash and PDF -- from Google Chrome for use in Chromium.


Last time I tried it, it didn't work very well. Would keep getting unsupported
version of flash etc.

--

- Yohan Pereira

The difference between a Miracle and a Fact is exactly the difference
between a mermaid and a seal.
                -- Mark Twain

Reply | Threaded
Open this post in threaded view
|

Re: Chromium dropping support for NPAPI

Pavel Volkov
On Saturday 23 November 2013 00:30:45 Yohan Pereira wrote:
> I think your looking for
> * www-plugins/chrome-binary-plugins
> Last time I tried it, it didn't work very well. Would keep getting
> unsupported version of flash etc.

Thanks, I installed the flash part from it chrome-binary-plugins.
It's running well.

I think Lightspark is also using NPAPI, they should do somethng about it in
that case.